<h2 mat-dialog-title>Please choose a report type</h2>

<mat-dialog-content>
  <form novalidate #chooseTypeForm="ngForm">
    <mat-radio-group required name="reportType" class="radioGroupClass" aria-label="Select an option" [(ngModel)]="selectedReport">
      <mat-radio-button class="radioButtonclass" value="event-earnings">Earnings report</mat-radio-button> <br/>
      <mat-radio-button value="event-occupancy">Occupancy report</mat-radio-button>
    </mat-radio-group>
  </form>
</mat-dialog-content>

<mat-dialog-actions>
    <button class="mat-raised-button"(click)="close(selectedReport)" [disabled]="!chooseTypeForm.valid">Continue</button>
    <button class="mat-raised-button mat-primary"(click)="close('')">Cancel</button>
</mat-dialog-actions>